org.icefaces.ace.util.collections

## Class AnyPredicate

- java.lang.Object
- - org.icefaces.ace.util.collections.AnyPredicate

- All Implemented Interfaces:
    java.io.Serializable, Predicate, PredicateDecorator

      public final class AnyPredicate
      extends java.lang.Object
      implements Predicate, PredicateDecorator, java.io.Serializable

  Predicate implementation that returns true if any of the predicates return true. If the array of predicates is empty, then this predicate returns false.

  NOTE: In versions prior to 3.2 an array size of zero or one threw an exception.

  Since:
    Commons Collections 3.0
  Version:
    $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
  Author:
    Stephen Colebourne, Matt Benson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyPredicate(Predicate[] predicates)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(java.lang.Object object)` Evaluates the predicate returning true if any predicate returns true.
    `static Predicate` | `getInstance(java.util.Collection predicates)` Factory to create the predicate.
    `static Predicate` | `getInstance(Predicate[] predicates)` Factory to create the predicate.
    `Predicate[]` | `getPredicates()` Gets the predicates, do not modify the array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnyPredicate

          public AnyPredicate(Predicate[] predicates)

      Constructor that performs no validation. Use `getInstance` if you want that.
      Parameters:
        `predicates` - the predicates to check, not cloned, not null

  - ### Method Detail

    - #### getInstance

          public static Predicate getInstance(Predicate[] predicates)

      Factory to create the predicate.

      If the array is size zero, the predicate always returns false. If the array is size one, then that predicate is returned.

      Parameters:
        `predicates` - the predicates to check, cloned, not null
      Returns:
        the `any` predicate
      Throws:
        `java.lang.IllegalArgumentException` - if the predicates array is null
        `java.lang.IllegalArgumentException` - if any predicate in the array is null

    - #### getInstance

          public static Predicate getInstance(java.util.Collection predicates)

      Factory to create the predicate.

      If the collection is size zero, the predicate always returns false. If the collection is size one, then that predicate is returned.

      Parameters:
        `predicates` - the predicates to check, cloned, not null
      Returns:
        the `all` predicate
      Throws:
        `java.lang.IllegalArgumentException` - if the predicates array is null
        `java.lang.IllegalArgumentException` - if any predicate in the array is null

    - #### evaluate

          public boolean evaluate(java.lang.Object object)

      Evaluates the predicate returning true if any predicate returns true.
      Specified by:
        `evaluate` in interface `Predicate`
      Parameters:
        `object` - the input object
      Returns:
        true if any decorated predicate return true

    - #### getPredicates

          public Predicate[] getPredicates()

      Gets the predicates, do not modify the array.
      Specified by:
        `getPredicates` in interface `PredicateDecorator`
      Returns:
        the predicates
      Since:
        Commons Collections 3.1

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.